Skip to main content
POST
/
sim_card_groups
/
{id}
/
actions
/
set_wireless_blocklist
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.simCardGroups.actions.setWirelessBlocklist(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
  { wireless_blocklist_id: '6a09cdc3-8948-47f0-aa62-74ac943d6c58' },
);

console.log(response.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.sim_card_groups.actions.set_wireless_blocklist(
id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
wireless_blocklist_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(response.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.SimCardGroups.Actions.SetWirelessBlocklist(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.SimCardGroupActionSetWirelessBlocklistParams{
WirelessBlocklistID: "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcardgroups.actions.ActionSetWirelessBlocklistParams;
import com.telnyx.sdk.models.simcardgroups.actions.ActionSetWirelessBlocklistResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ActionSetWirelessBlocklistParams params = ActionSetWirelessBlocklistParams.builder()
.id("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.wirelessBlocklistId("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.build();
ActionSetWirelessBlocklistResponse response = client.simCardGroups().actions().setWirelessBlocklist(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.sim_card_groups.actions.set_wireless_blocklist(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
wireless_blocklist_id: "6a09cdc3-8948-47f0-aa62-74ac943d6c58"
)

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->simCardGroups->actions->setWirelessBlocklist(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
wirelessBlocklistID: '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx sim-card-groups:actions set-wireless-blocklist \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58 \
--wireless-blocklist-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
curl --request POST \
--url https://api.telnyx.com/v2/sim_card_groups/{id}/actions/set_wireless_blocklist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wireless_blocklist_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58"
}
'
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "sim_card_group_action",
    "sim_card_group_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "type": "set_private_wireless_gateway",
    "status": "in-progress",
    "settings": {
      "private_wireless_gateway_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58"
    },
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z"
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Identifies the SIM group.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Body

application/json
wireless_blocklist_id
string<uuid>
required

The identification of the related Wireless Blocklist resource.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Response

Successful Response

data
SIMCardGroupAction · object

This object represents a SIM card group action request. It allows tracking the current status of an operation that impacts the SIM card group and SIM card in it.